L'installazione di VirtualBox 5.0 ha rotto i pacchetti di VirtualBox su Kubuntu 15.04

18

Visto che c'era una nuova versione di VirtualBox, ho provato ad installarlo su Kubuntu 15.04 ...

Tuttavia, ora tutti i miei pacchetti VBox 4.3 nei repository ubuntu sono rotti (Virtualbox è fornito da Virtualbox-5.0 che non è installato), e VirtualBox 5.0 non funzionerà come dice DKMS è rotto:

Uninstalling old VirtualBox DKMS kernel modules/etc/init.d/vboxdrv: 302: /etc/init.d/vboxdrv: /usr/share/virtualbox/src/vboxhost/do_dkms: not found
 ...done.
Trying to register the VirtualBox kernel modules using DKMS/etc/init.d/vboxdrv: 327: /etc/init.d/vboxdrv: /usr/share/virtualbox/src/vboxhost/do_dkms: not found
 ...failed!
  (Failed, trying without DKMS)

Reinstallazione di virtualbox-dkms:

dpkg: error processing package virtualbox-dkms (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of virtualbox-qt:
 virtualbox-qt depends on virtualbox (= 4.3.26-dfsg-2ubuntu2); however:
  Package virtualbox is not configured yet.
  Package virtualbox-5.0 which provides virtualbox is not installed.

dpkg: error processing package virtualbox-qt (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates it's a follow-up error from a previous failure.

Anche se VirtualBox 5.0 è stato installato tramite il pacchetto deb dal sito Web di Oracle.

Che cosa posso fare per rimuovere completamente 5.0 e installare VirtualBox 4.3 o installare correttamente virtualbox 5.0?

Ho già provato a disinstallare VirtualBox 5.0 (tramite apt-get purge), quindi a installare 4.3, ma a ottenere l'errore relativo a VirtualBox fornito dal pacchetto virtualbox-5.0.

    
posta BnMcG 26.08.2015 - 14:55

2 risposte

28

Rimuovi versioni precedenti VirtualBox prima di installare VirtualBox-5.0!

Disinstalla VirtualBox - & gt; sudo apt-get purge "^virtualbox-.*"

Controlla attentamente cosa verrà rimosso (prima di confermarlo).

Aggiorna i repository software - & gt; % Co_de%

Pulisci - & gt; sudo apt-get update

Scarica e registra la chiave pubblica ORACLE - & gt;

wget -q -O - https://www.virtualbox.org/download/oracle_vbox.asc | sudo apt-key add -  

Aggiungi il repository VirtualBox alle origini del software - & gt;

echo "deb http://download.virtualbox.org/virtualbox/debian $(lsb_release -sc) contrib" | sudo tee /etc/apt/sources.list.d/oracle-vbox.list  

Ora aggiorna nuovamente i repository software - & gt; % Co_de%

Installa VirtualBox - & gt; sudo apt-get autoremove && sudo apt-get autoclean && sudo apt-get clean

Nota per altri utenti che utilizzano una versione più recente di Ubuntu rispetto alla 15.04:

A partire da Ubuntu 16.04 la chiave pubblica ORACLE da scaricare è cambiata.

sudo apt-get update deve essere sostituito con sudo apt-get install dkms virtualbox-5.0

    
risposta data cl-netbox 26.08.2015 - 15:22
3

La mia VirtualBox non funziona. Inizia ma non è in grado di eseguire nessuna delle macchine. La soluzione che ho trovato è stata:

sudo apt-get install virtualbox-dkms

e poi:

sudo modprobe vboxdrv
    
risposta data Cristina Rivera Baydal 23.04.2016 - 09:25

Leggi altre domande sui tag